function measureList = obtainMeasureList
% obtain list of measures to test
%
% The resulting structure array contains the fields:
%  .name - name of the measure (as used by obtainMeasureDec)
%  .par - if required, a list of directions to use
%  .minimumtestNumber - the minium number of test vectors to generate
%    during validation / speed testing - it has three elements
%    (1) finding the unified partition
%    (2) measure computation by decomposition data (known partition)
%    (3) measure computation by only knowing the polytope (decomposition
%        unused)


measureList = struct([]);

measureList(end+1).name = 'feret';
measureList(end).par = [0 0 1;
                 0.4966,0.6449,0.3420;
                 0.8998,0.8180,0.2897;
                 0.8216,0.6602,0.3412];
measureList(end).minimumTestNumber = [300 30 3];

measureList(end+1).name = 'surface';
measureList(end).par = [];
% meas(end).par = [1 0 0;0 1 0;0 0 1;...
%                  1 1 0;1 0 1;0 1 1;...
%                  1 -1 0;1 0 -1;0 1 -1;...
%                  1 1 1;1 1 -1;1 -1 1;-1 1 1];
measureList(end).minimumTestNumber = [300 100 2];

measureList(end+1).name = 'volume';
measureList(end).par = [];
% meas(end).extra_tests = [20 100];
measureList(end).minimumTestNumber = [300 100 5];